#!/usr/bin/perl -w -I/vhffs/vhffs-api/src/ -I/vhffs/vhffs-panel/

use POSIX qw(locale_h);
use HTML::Template;
use locale;
use Locale::gettext;
use CGI;
use CGI::Session;
use strict;


use Vhffs::User;
use Vhffs::Main;
use Vhffs::Panel::Main;
use Vhffs::Panel::Menu;
use Vhffs::Panel::Group;

my $panel = new Vhffs::Panel::Main();
if(!$panel)  {
    exit 0;
}

my $vhffs = $panel->{'vhffs'};
my $session = $panel->{'session'};
my $maintemplate = $panel->{'template'};
my $user = $panel->{'user'};
my $group = $panel->{'group'};

my $templatedir = $vhffs->get_config->get_templatedir;

my $template = new HTML::Template( filename => $templatedir."/dns/create.tmpl" );

$template->param( TITLE => gettext("Create a DNS ") );
$template->param( DOMAIN_NAME => gettext("Domain Name") );
$template->param( INFOS_DNS => gettext("Be careful ! You must give the reason why you want to host this domain on our servers.") );
$template->param( DNS_SERVER => gettext("DNS servers:") );
$template->param( GROUP_NAME => gettext("Group owning this DNS") );
$template->param( GROUP => $group->get_groupname );

$template->param( SEND => gettext("Send") );
$template->param( DESCRIPTION => gettext("Description") );

display Vhffs::Panel::Main($panel, $template->output);
