#!/usr/bin/perl -w
# Copyright (c) vhffs project and its contributors
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without 
# modification, are permitted provided that the following conditions 
# are met:
#
# 1. Redistributions of source code must retain the above copyright 
#   notice, this list of conditions and the following disclaimer.
#2. Redistributions in binary form must reproduce the above copyright
#   notice, this list of conditions and the following disclaimer in 
#   the documentation and/or other materials provided with the 
#   distribution.
#3. Neither the name of vhffs nor the names of its contributors 
#   may be used to endorse or promote products derived from this 
#   software without specific prior written permission.
#
#THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
#"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
#LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
#FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE 
#COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, 
#INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
#BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
#LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
#CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT 
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN 
# ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
# POSSIBILITY OF SUCH DAMAGE.


require 5.004;
use POSIX;
use strict;
use locale;
use Locale::gettext;
use HTML::Template;
use CGI;
use Vhffs::Panel::Main;


# Init the Vhffs Main System
my $vhffs = init Vhffs::Main;
my $templatedir = $vhffs->get_config->get_templatedir;

my $cgi = new CGI;

my $cookie = Vhffs::Panel::Main::cookie_lang( $vhffs );

my $tmpl = new HTML::Template( filename => $templatedir."/main/lost.tmpl", associate => $cgi );

#$tmpl->param( TITLE => gettext("VHFFS Password Lost") );
$tmpl->param( TEXT_LOSTPASS => gettext("You lost your password? You're a bad guy!") );
$tmpl->param( TEXT_BLABLA => gettext("But fortunately we're smart, so just type your login here<br/>and a new password will be sent to you by email!") );
$tmpl->param( TEXT_USERNAME => gettext("Username") );
$tmpl->param( TEXT_BUTTON => gettext("Give me a new password") );
$tmpl->param( TEXT_BACK => gettext("Back to login page") );

display_light Vhffs::Panel::Main( $vhffs , $tmpl );
